Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignReportTemplate

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseReportTemplate
          net.sf.jasperreports.engine.design.JRDesignReportTemplate

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRReportTemplate

    public class JRDesignReportTemplate

extends JRBaseReportTemplate
implements JRChangeEventsSupport

`JRReportTemplate` implementation to be used at report design time.

Version:
  $Id: JRDesignReportTemplate.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_SOURCE_EXPRESSION`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseReportTemplate
`sourceExpression`

Constructor Summary
`JRDesignReportTemplate()` Creates an empty report template.
`JRDesignReportTemplate(JRExpression sourceExpression)` Creates a report template for a template source expression.

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setSourceExpression(JRExpression sourceExpression)` Sets the template source expression.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseReportTemplate
`getSourceExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_SOURCE_EXPRESSION

    public static final java.lang.String PROPERTY_SOURCE_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignReportTemplate

    public JRDesignReportTemplate()

  Creates an empty report template.

### JRDesignReportTemplate

    public JRDesignReportTemplate(JRExpression sourceExpression)

  Creates a report template for a template source expression.

Method Detail

### setSourceExpression

    public void setSourceExpression(JRExpression sourceExpression)

  Sets the template source expression.

  Parameters:
    `sourceExpression` - the template source expression
  See Also:
    `JRBaseReportTemplate.getSourceExpression()`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com